Class | RSS::Parser
In: | rss/parser.rb
Parent: | Object

### Methods

default_parser default_parser= new parse

### Public Class methods

default_parser()

[Source]

    # File rss/parser.rb, line 54
          def default_parser
            @@default_parser || AVAILABLE_PARSERS.first
          end

default_parser=(new_value)

[Source]

    # File rss/parser.rb, line 58
          def default_parser=(new_value)
            if AVAILABLE_PARSERS.include?(new_value)
              @@default_parser = new_value
            else
              raise NotValidXMLParser.new(new_value)
            end
          end

new(rss, parser_class=self.class.default_parser)

[Source]

    # File rss/parser.rb, line 80
        def initialize(rss, parser_class=self.class.default_parser)
          @parser = parser_class.new(normalize_rss(rss))
        end

parse(rss, do_validate=true, ignore_unknown_element=true, parser_class=default_parser)

[Source]

    # File rss/parser.rb, line 66
          def parse(rss, do_validate=true, ignore_unknown_element=true, parser_class=default_parser)
            parser = new(rss, parser_class)
            parser.do_validate = do_validate
            parser.ignore_unknown_element = ignore_unknown_element
            parser.parse
          end

[Validate]